{
  "display": {
    "icon": {
      "id": "minecraft:redstone_torch"
    },
    "title": {
      "text": "Tip I",
      "color": "light_purple",
      "bold": false
    },
    "description": "Right Click on an artifact, handicraft or set reward to change it to a different item of the same rarity. Set rewards default to Golden rarity, while Handicrafts default to Purple rarity.",
    "show_toast": false,
    "announce_to_chat": false,
    "hidden": true
  },
  "parent": "main:progression/other/reroll",
  "criteria": {
    "root": {
      "trigger": "minecraft:impossible"
    }
  }
}